Bug 31932 - V8 ScriptController is missing include for DEFINE_STATIC_LOCAL
Summary: V8 ScriptController is missing include for DEFINE_STATIC_LOCAL
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Steve Block
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-27 06:03 PST by Steve Block
Modified: 2009-11-30 09:42 PST (History)
3 users (show)

See Also:


Attachments
Patch 1 for Bug 31932 (1.18 KB, patch)
2009-11-27 06:41 PST, Steve Block
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Block 2009-11-27 06:03:14 PST
V8 ScriptController is missing include for DEFINE_STATIC_LOCAL. This is defined in wtf/StdLibExtras.h.
Comment 1 Steve Block 2009-11-27 06:41:55 PST
Created attachment 43951 [details]
Patch 1 for Bug 31932
Comment 2 Eric Seidel (no email) 2009-11-28 09:42:55 PST
Comment on attachment 43951 [details]
Patch 1 for Bug 31932

Other ports get this from a prefix header?
Comment 3 Steve Block 2009-11-30 02:29:24 PST
This was introduced in http://trac.webkit.org/changeset/50993

It looks like Chromium picks up wtf/StdLibExtras.h via Widget.h -> chromium/PlatformWidgets.h.
Comment 4 WebKit Commit Bot 2009-11-30 09:42:03 PST
Comment on attachment 43951 [details]
Patch 1 for Bug 31932

Clearing flags on attachment: 43951

Committed r51498: <http://trac.webkit.org/changeset/51498>
Comment 5 WebKit Commit Bot 2009-11-30 09:42:08 PST
All reviewed patches have been landed.  Closing bug.